Bug 1212046 - Review Request: golang-github-armon-gomdb - Go wrapper for LMDB - OpenLDAP Lightning Memory-Mapped Database
Summary: Review Request: golang-github-armon-gomdb - Go wrapper for LMDB - OpenLDAP Li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1208616 1212346
TreeView+ depends on / blocked
 
Reported: 2015-04-15 13:03 UTC by Jan Chaloupka
Modified: 2015-07-08 17:01 UTC (History)
3 users (show)

Fixed In Version: golang-github-armon-gomdb-0-0.2.git151f2e0.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:03:58 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-15 13:03:18 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-armon-gomdb/golang-github-armon-gomdb.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-armon-gomdb/golang-github-armon-gomdb-0-0.1.git151f2e0.fc20.src.rpm

Description: Go wrapper for LMDB - OpenLDAP Lightning Memory-Mapped Database

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=9487804

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-armon-gomdb-0-0.1.git151f2e0.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-armon-gomdb-devel-0-0.1.git151f2e0.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Notes: depends on lmdb, skipping tests as they fail (tests are optional).

Comment 1 Jan Chaloupka 2015-04-16 12:17:50 UTC
Updated spec file, use system lmdb and run tests.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=9492980

Comment 2 Pavel Odvody 2015-06-02 14:45:13 UTC
There seem to be some unowned directories (not sure where they're coming from).

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-armon-gomdb-devel-0-0.1.git151f2e0.fc21.noarch.rpm
          golang-github-armon-gomdb-0-0.1.git151f2e0.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-armon-gomdb-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-armon-gomdb-devel:
    golang(github.com/armon/gomdb)
    golang-github-armon-gomdb-devel



Source checksums
----------------
https://github.com/armon/gomdb/archive/151f2e08ef45cb0e57d694b2562f351955dff572/gomdb-151f2e0.tar.gz :
  CHECKSUM(SHA256) this package     : de5119016d4e12885c474f4f1e682c80984b464a0ae2809f28699aeba1badc68
  CHECKSUM(SHA256) upstream package : de5119016d4e12885c474f4f1e682c80984b464a0ae2809f28699aeba1badc68


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/bin/fedora-review -b 1212046
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Lokesh Mandvekar 2015-06-17 15:59:55 UTC
- specfile conforms to current golang packaging draft
- license correct and valid
- only sources installed for now

package approved

Comment 4 Jan Chaloupka 2015-06-17 16:42:47 UTC
New Package SCM Request
=======================
Package Name: golang-github-armon-gomdb
Short Description: Go wrapper for LMDB - OpenLDAP Lightning Memory-Mapped Database
Upstream URL: https://github.com/armon/gomdb
Owners: jchaloup
Branches: f22 f21 el6
InitialCC: golang-sig

Comment 5 Gwyn Ciesla 2015-06-18 15:00:47 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-06-19 12:53:20 UTC
golang-github-armon-gomdb-0-0.1.git151f2e0.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-armon-gomdb-0-0.1.git151f2e0.fc22

Comment 7 Fedora Update System 2015-06-19 12:55:20 UTC
golang-github-armon-gomdb-0-0.1.git151f2e0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-armon-gomdb-0-0.1.git151f2e0.fc21

Comment 8 Fedora Update System 2015-06-19 13:39:01 UTC
golang-github-armon-gomdb-0-0.1.git151f2e0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-armon-gomdb-0-0.1.git151f2e0.el6

Comment 9 Fedora Update System 2015-06-20 09:08:15 UTC
golang-github-armon-gomdb-0-0.2.git151f2e0.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-armon-gomdb-0-0.2.git151f2e0.fc22

Comment 10 Fedora Update System 2015-06-20 09:08:42 UTC
golang-github-armon-gomdb-0-0.2.git151f2e0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-armon-gomdb-0-0.2.git151f2e0.fc21

Comment 11 Fedora Update System 2015-06-20 09:09:16 UTC
golang-github-armon-gomdb-0-0.2.git151f2e0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-armon-gomdb-0-0.2.git151f2e0.el6

Comment 12 Fedora Update System 2015-06-20 21:16:24 UTC
golang-github-armon-gomdb-0-0.2.git151f2e0.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2015-06-30 00:03:58 UTC
golang-github-armon-gomdb-0-0.1.git151f2e0.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-06-30 00:09:31 UTC
golang-github-armon-gomdb-0-0.2.git151f2e0.fc22 has been pushed to the Fedora 22 stable repository.

Comment 15 Fedora Update System 2015-06-30 00:18:29 UTC
golang-github-armon-gomdb-0-0.1.git151f2e0.fc22 has been pushed to the Fedora 22 stable repository.

Comment 16 Fedora Update System 2015-06-30 00:24:12 UTC
golang-github-armon-gomdb-0-0.2.git151f2e0.fc21 has been pushed to the Fedora 21 stable repository.

Comment 17 Fedora Update System 2015-07-08 17:01:27 UTC
golang-github-armon-gomdb-0-0.2.git151f2e0.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.